# CbcStatistics Class Reference

For gathering statistics. More...

`#include <CbcStatistics.hpp>`

List of all members.

## Public Member Functions
| CbcStatistics ()
| CbcStatistics (CbcNode *node, CbcModel *model)
| ~CbcStatistics ()
| CbcStatistics (const CbcStatistics &rhs)
CbcStatistics & | operator= (const CbcStatistics &rhs)
void | endOfBranch (int numberIterations, double objectiveValue)
void | updateInfeasibility (int numberInfeasibilities)
void | sayInfeasible ()
void | print (const int *sequenceLookup=NULL) const
int | node () const
int | parentNode () const
int | depth () const
int | way () const
double | value () const
double | startingObjective () const
int | startingInfeasibility () const
double | endingObjective () const
int | endingInfeasibility () const
int | numberIterations () const
## Protected Attributes
double | value_
| Value.
double | startingObjective_
| Starting objective.
double | endingObjective_
| Ending objective.
int | id_
| id
int | parentId_
| parent id
int | way_
| way -1 or +1 is first branch -10 or +10 is second branch
int | sequence_
| sequence number branched on
int | depth_
| depth
int | startingInfeasibility_
| starting number of integer infeasibilities
int | endingInfeasibility_
| ending number of integer infeasibilities
int | numberIterations_
| number of iterations

## Detailed Description

For gathering statistics.

Definition at line 13 of file CbcStatistics.hpp.

## Constructor & Destructor Documentation

CbcStatistics::CbcStatistics | ( |  | ) |

CbcStatistics::CbcStatistics | ( | CbcNode * | node,
|  | CbcModel * | model |
| ) |  |  |

CbcStatistics::~CbcStatistics | ( |  | ) |

CbcStatistics::CbcStatistics | ( | const CbcStatistics & | rhs | ) |

## Member Function Documentation

CbcStatistics& CbcStatistics::operator= | ( | const CbcStatistics & | rhs | ) |

void CbcStatistics::endOfBranch | ( | int | numberIterations,
|  | double | objectiveValue |
| ) |  |  |

void CbcStatistics::updateInfeasibility | ( | int | numberInfeasibilities | ) |

void CbcStatistics::sayInfeasible | ( |  | ) |

void CbcStatistics::print | ( | const int * | sequenceLookup = `NULL` | ) | const

int CbcStatistics::node | ( |  | ) | const`[inline]`

Definition at line 34 of file CbcStatistics.hpp.

int CbcStatistics::parentNode | ( |  | ) | const`[inline]`

Definition at line 38 of file CbcStatistics.hpp.

int CbcStatistics::depth | ( |  | ) | const`[inline]`

Definition at line 42 of file CbcStatistics.hpp.

int CbcStatistics::way | ( |  | ) | const`[inline]`

Definition at line 46 of file CbcStatistics.hpp.

double CbcStatistics::value | ( |  | ) | const`[inline]`

Definition at line 50 of file CbcStatistics.hpp.

double CbcStatistics::startingObjective | ( |  | ) | const`[inline]`

Definition at line 54 of file CbcStatistics.hpp.

int CbcStatistics::startingInfeasibility | ( |  | ) | const`[inline]`

Definition at line 58 of file CbcStatistics.hpp.

double CbcStatistics::endingObjective | ( |  | ) | const`[inline]`

Definition at line 62 of file CbcStatistics.hpp.

int CbcStatistics::endingInfeasibility | ( |  | ) | const`[inline]`

Definition at line 66 of file CbcStatistics.hpp.

int CbcStatistics::numberIterations | ( |  | ) | const`[inline]`

Definition at line 70 of file CbcStatistics.hpp.

## Member Data Documentation

double CbcStatistics::value_`[protected]`

Value.

Definition at line 77 of file CbcStatistics.hpp.

double CbcStatistics::startingObjective_`[protected]`

Starting objective.

Definition at line 79 of file CbcStatistics.hpp.

double CbcStatistics::endingObjective_`[protected]`

Ending objective.

Definition at line 81 of file CbcStatistics.hpp.

int CbcStatistics::id_`[protected]`

id

Definition at line 83 of file CbcStatistics.hpp.

int CbcStatistics::parentId_`[protected]`

parent id

Definition at line 85 of file CbcStatistics.hpp.

int CbcStatistics::way_`[protected]`

way -1 or +1 is first branch -10 or +10 is second branch

Definition at line 87 of file CbcStatistics.hpp.

int CbcStatistics::sequence_`[protected]`

sequence number branched on

Definition at line 89 of file CbcStatistics.hpp.

int CbcStatistics::depth_`[protected]`

depth

Definition at line 91 of file CbcStatistics.hpp.

int CbcStatistics::startingInfeasibility_`[protected]`

starting number of integer infeasibilities

Definition at line 93 of file CbcStatistics.hpp.

int CbcStatistics::endingInfeasibility_`[protected]`

ending number of integer infeasibilities

Definition at line 95 of file CbcStatistics.hpp.

int CbcStatistics::numberIterations_`[protected]`

number of iterations

Definition at line 97 of file CbcStatistics.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.7.8/Cbc/src/CbcStatistics.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines